function  row_p = is_row_vector(object)

% IS_ROW_VECTOR -- True for numeric row vectors, including scalars.
%
%  IS_ROW_VECTOR(A) returns 1 if A satisfies ISNUMERIC, has two
%  dimensions only, and SIZE(A,1) is equal to 1.
%
%  Examples:
%    is_row_vector(3.14)      ==> 1
%    is_row_vector([3 1 4])   ==> 1
%    is_row_vector([3 1 4]')  ==> 0
%    is_row_vector({3 1 4})   ==> 0
%
%  See also IS_COL_VECTOR, ISNUMERIC, ISSTRUCT, ISCELL.

% Original coding by Alex Petrov, Ohio State University
% $Revision: 1.0 $  $Date: 2000/06/13 20:30 $
%
% Part of the utils toolbox version 1.1 for MATLAB version 5 and up.
% http://alexpetrov.com/softw/utils/
% Copyright (c) Alexander Petrov 1999-2006, http://alexpetrov.com
% Please read the LICENSE and NO WARRANTY statement in ../utils_license.m

if (~isnumeric(object))
  row_p = 0 ;
elseif (ndims(object) > 2)
  row_p = 0 ;
else
  row_p = (size(object,1)==1) ;
end

%%  Return ROW_P
%%%%%% End of file IS_ROW_VECTOR.M
